<nz-table *ngIf="list" #citizensTableData nzSize="small" style="overflow-x: auto; white-space: nowrap"  [nzData]="list" [(nzPageSize)]="pageSize"
  nzShowPagination="false" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th>#</th>
      <th>{{ "Common.Name" | translate }}</th>
      <th>{{ "Economy.Market.Country" | translate }}</th>
      <th style="text-align: center" [nzSortFn]="true" (nzSortOrderChange)="sortByChange('experience', $event)">
        {{ "Economy.Market.Abilities.Experience" | translate }}
      </th>
      <th style="text-align: center" [nzSortFn]="true" (nzSortOrderChange)="sortByChange('strength', $event)">
        {{ "Economy.Market.Abilities.Strength" | translate }}
      </th>
      <th style="text-align: center" [nzSortFn]="true" (nzSortOrderChange)="sortByChange('economic-skill', $event)">
        {{ "Economy.Market.Abilities.EconomicSkill" | translate }}
      </th>
      <th style="text-align: center" [nzSortFn]="true"
        (nzSortOrderChange)="sortByChange('military-experience', $event)">
        {{ "Economy.Market.Abilities.MilitaryExperience" | translate }}
      </th>
      <th style="text-align: center" [nzSortFn]="true" (nzSortOrderChange)="sortByChange('medals', $event)">
        {{ "Economy.Market.Abilities.MedalsCount" | translate }}
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of citizensTableData.data">
      <td>{{ citizensTableData.data.indexOf(item) + 1 }}</td>
      <td>
        <a href="/citizen/{{ item.citizen?.id }}">{{ item?.citizen?.name }}</a>
      </td>
      <td>
        <a href="/country/{{ item.country?.id }}">{{ item?.country?.name }}</a>
      </td>
      <td style="text-align: center">{{ item.experience }}</td>
      <td style="text-align: center">{{ item.strength }}</td>
      <td style="text-align: center">{{ item.economicSkill }}</td>
      <td style="text-align: center">{{ item.militaryExperience }}</td>
      <td style="text-align: center">{{ item.medalsCount }}</td>
    </tr>
  </tbody>
</nz-table>

<nz-pagination style="float: right; margin-top: 10px" (nzPageIndexChange)="pageIndexChange($event)"
  [(nzPageIndex)]="page" [(nzPageSize)]="pageSize" [nzTotal]="totalEntries"></nz-pagination>
